Subject: [core] pre-draft: Dereference Link type ("redirection")

From: Christian Amsüss <[email-masked]>
Date: Thu, 27 Sep 2018 12:43:39 +0200

Hello CoRE,

there have been some occasions on which redirection hase come up
invarious forms. A corner use case for that popped up again when
reviewing the senml-fetch draft.

I don't plan on pushing this, as I personally have no use cases for it,
but I'd rather have some place where to spool any demand for redirection
and other forms of indirection, so that if and when there comes actual
demand, there's something to start with.

An initial pre-draft is attached ("pre-draft" because its style is
probably too tongue-in-cheek for a draft upload), comments are welcome.

Best regards
Christian

-- 
Most people would leave. Not us. We're Vikings. We have stubbornness issues.
  -- Hiccup, son of Stoic